
//	===============================================
//  
LACERTA_HEADER_VERSION_STRING = "Lacerta version 1.0.0.1 - April 04, 2008"

LACERTA_VER_STRING  = "1.0.0.1";
LACERTA_VER_MAJOR   = 1;
LACERTA_VER_MINOR   = 0;
LACERTA_VER_RELEASE = 0;
LACERTA_VER_BUILD   = 1;

//	===============================================
//
OPTION_ALL = -1;
OPTION_CONTROL = 0;
OPTION_TITLE = 1;
OPTION_HINT = 2;
OPTION_ROLLOVERMENU = 3;
OPTION_ZOOM = 4;

//	===============================================
//	
OBJECT_VISIBILITY_UNDEFINED = 0;
OBJECT_VISIBILITY_FALSE = 1;
OBJECT_VISIBILITY_TRUE = 2;

//	===============================================
//
OBJECT_PLAYING_UNDEFINED = -1;
OBJECT_PLAYING_FALSE = 0;
OBJECT_PLAYING_TRUE = 1;

//	===============================================
//	  
AUTOATTACH_NO = 0;
AUTOATTACH_TOP_LEFT = 1;
AUTOATTACH_TOP_CENTER = 2;
AUTOATTACH_TOP_RIGHT = 3;
AUTOATTACH_LEFT_TOP = 4;
AUTOATTACH_LEFT_CENTER = 5;
AUTOATTACH_LEFT_BOTTOM = 6;
AUTOATTACH_LEFT_ABOVE = 7;
AUTOATTACH_LEFT_BELOW = 8;
AUTOATTACH_BOTTOM_LEFT = 9;
AUTOATTACH_BOTTOM_CENTER = 10;
AUTOATTACH_BOTTOM_RIGHT = 11;
AUTOATTACH_RIGHT_TOP = 12;
AUTOATTACH_RIGHT_CENTER = 13;
AUTOATTACH_RIGHT_BOTTOM = 14;
AUTOATTACH_RIGHT_ABOVE = 15;
AUTOATTACH_RIGHT_BELOW = 16;
AUTOATTACH_TOP_FROMLEFT = 17;
AUTOATTACH_TOP_FROMRIGHT = 18;
AUTOATTACH_BOTTOM_FROMLEFT = 19;
AUTOATTACH_BOTTOM_FROMRIGHT = 20;

//	===============================================
//	   
//                       |                                         |
//         above-fromleft|above-left    above_center    above_right|above_fromright
//                  -----+-----------------------------------------+------
//           top-fromleft|top-left       top_center       top_right|top_fromright
//                       |                                         |
//                       |                                         |
//        center-fromleft|center-left  center-center   center_right|center_fromright
//                       |                                         |
//                       |                                         |
//        bottom-fromleft|bottom-left  bottom_center   bottom_right|bottom_fromright
//                  -----+-----------------------------------------+------
//         below-fromleft|below-left    below_center    below_right|below_fromright
//                       |                                         |

ATTACH_NOATTACH 		= 0;

ATTACH_ABOVE_FROMLEFT 	= 11;
ATTACH_ABOVE_LEFT 		= 12;
ATTACH_ABOVE_CENTER 	= 13;
ATTACH_ABOVE_RIGHT 		= 14;
ATTACH_ABOVE_FROMRIGHT 	= 15;

ATTACH_TOP_FROMLEFT 	= 21;
ATTACH_TOP_LEFT 		= 22;
ATTACH_TOP_CENTER 		= 23;
ATTACH_TOP_RIGHT 		= 24;
ATTACH_TOP_FROMRIGHT 	= 25;

ATTACH_CENTER_FROMLEFT	= 31;
ATTACH_CENTER_LEFT		= 32;
ATTACH_CENTER_CENTER 	= 33;
ATTACH_CENTER_RIGHT 	= 34;
ATTACH_CENTER_FROMRIGHT	= 35;

ATTACH_BOTTOM_FROMLEFT	= 41;
ATTACH_BOTTOM_LEFT		= 42;
ATTACH_BOTTOM_CENTER 	= 43;
ATTACH_BOTTOM_RIGHT 	= 44;
ATTACH_BOTTOM_FROMRIGHT	= 45;

ATTACH_BELOW_FROMLEFT	= 51;
ATTACH_BELOW_LEFT		= 52;
ATTACH_BELOW_CENTER 	= 53;
ATTACH_BELOW_RIGHT 		= 54;
ATTACH_BELOW_FROMRIGHT	= 55;

//	===============================================
//	SIZE-MODES
SIZE_MODE_NORMAL = 0;			//	  
SIZE_MODE_FIT = 1;		//	    (    )
SIZE_MODE_FIT_ONLY_BIG = 2;		//	    (   ,    )
SIZE_MODE_CROP = 3;			//	 (   )

//	===============================================
//
H_ALIGN_NONE = 0;
H_ALIGN_LEFT = 1;
H_ALIGN_CENTER = 2;
H_ALIGN_RIGHT = 3;

V_ALIGN_NONE = 0;
V_ALIGN_TOP = 1;
V_ALIGN_CENTER = 2;
V_ALIGN_BOTTOM = 3;

//	===============================================
//
ROLLOVERMENU_POINT_LEFTTOP = 0;
ROLLOVERMENU_POINT_LEFTBOTTOM = 1;
ROLLOVERMENU_POINT_RIGHTTOP = 2;
ROLLOVERMENU_POINT_RIGHTBOTTOM = 3;

//	============================= ACTIONS ===========================================
//	     

NO_EVENT = 20;

EVENT_ON_PRESS = 1;						//	  
EVENT_ON_UNPRESS = 2;					//	  
EVENT_ON_RELEASE = 3;					//	  
EVENT_ON_ROLLOVER = 4;					//	  
EVENT_ON_ROLLOUT = 5;					//	  
EVENT_ON_SHOW = 6;						//	 
EVENT_ON_HIDE = 7;						//	 
EVENT_ON_START_EFFECT = 8;				//	  (    id)
EVENT_ON_COMPLETE_EFFECT = 9;			//	  (    id)
EVENT_ON_ZOOM_IN = 10;					//	 
EVENT_ON_ZOOM_OUT = 11;					//	 
EVENT_ON_PLAYED = 12;					//	   
EVENT_ON_STOP = 13;						//	 
EVENT_ON_PAUSE = 14;					//	 
EVENT_ON_PLAY = 15;						//	  
	//   quicktime
EVENT_QUICKTIME_ON_ENTER_NODE = 100;		//	  
EVENT_QUICKTIME_ON_LEAVE_NODE = 101;		//	  
EVENT_QUICKTIME_ON_ENTER_HOTSPOT = 102;	//	  
EVENT_QUICKTIME_ON_LEAVE_HOTSPOT = 103;	//	  
EVENT_QUICKTIME_ON_TRIGGER_HOTSPOT = 104;	//	  
	//   Flash
EVENT_FLASH_ON_FSCOMMAND = 120;

//	    continious (  )!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
EVENT_ON_PAUSED = 201;
EVENT_ON_STOPPED = 202;

//	===============================================
// effects
NO_EFFECT = -1;
EFFECT_FADE = 0;
EFFECT_MOVE = 1;
EFFECT_SCALE = 2;
EFFECT_SCALE_CENTER = 20;
EFFECT_SCALE_LEFTTOP = 21;
EFFECT_SCALE_LEFTBOTTOM = 22;
EFFECT_SCALE_RIGHTTOP = 23;
EFFECT_SCALE_RIGHTBOTTOM = 24;

//	===============================================
//   
CONTROL_TYPE_BUTTON = 0;
CONTROL_TYPE_PLAYCONTROL = 1
CONTROL_TYPE_GROUP = 2;
CONTROL_TYPE_TEXTBOX = 3;
CONTROL_TYPE_UNKNOW = -1;

APPEAR_AFTER_SHOW = 0;
APPEAR_SYNCHRO = 1;

//	===============================================
// 	 slideshow
//	  
SLIDESHOW_MODE_NORMAL  = 0;
SLIDESHOW_MODE_BYFRAME = 1;

//	===============================================
//	    
SLIDESHOW_APPEARANCE_ALWAYS  = 0;
SLIDESHOW_APPEARANCE_PAUSEONLY = 1;
SLIDESHOW_APPEARANCE_PLAYONLY = 2;

//	===============================================
//
OBJECT_STATE_HIDDEN = 1;
OBJECT_STATE_VISIBLE = 2;
OBJECT_STATE_PLAYED = 3;

//	===============================================
//
COLLECTION_STATE_ITEM = 0;
COLLECTION_STATE_LIST = 1;
TITLE_STATE_VISIBLE = 0;
TITLE_STATE_HIDDEN = 1;

//	===============================================
//
CROSSWORD_AUTOSKIP_RIGHT = 0;	// - 
CROSSWORD_AUTOSKIP_DOWN = 1;	// - 

CROSSWORD_H_START = 1;
CROSSWORD_H_MIDDLE = 2;
CROSSWORD_H_END = 3;
CROSSWORD_V_START = 4;
CROSSWORD_V_MIDDLE = 5;
CROSSWORD_V_END = 6;

//	===============================================
// mmtButton
//		 
BUTTON_TYPE_TEXT = 0;			//  
BUTTON_TYPE_IMAGE = 1;			//    -  
BUTTON_TYPE_CROPPED_IMAGE = 2;		//    
// 		 
BUTTON_STATE_DISABLED = -1;		// 
BUTTON_STATE_NORMAL = 0;		// 
BUTTON_STATE_ACTIVE = 1;		// 
BUTTON_STATE_PRESSED = 2;		// 

//   
BUTTON_STYLE_NORMAL = 0
BUTTON_STYLE_STICKY = 1;

BUTTON_ACTIVEMARK_BORDER = 0;
BUTTON_ACTIVEMARK_IMAGE = 1;

//	===============================================
//	CHECK BOX
CHECKBOX_STATE_UNCHECKED = 0;
CHECKBOX_STATE_CHECKED = 1;

CHECKBOX_CHANGE_EVENT_PRESS = 0;
CHECKBOX_CHANGE_EVENT_RELEASE = 1;

//	===============================================
//	SLIDER
SLIDER_HORIZONTAL = 0;
SLIDER_VERTICAL = 1;

SLIDER_STYLE_USETICKS = 10;
SLIDER_STYLE_NOTICKS = 11;

//	===============================================
// Group restrictions
RESTRICTION_UNDEFINED = -1;
RESTRICTION_EXCLUSIVE_VISIBLE = 1;
RESTRICTION_EXCLUSIVE_PRESSED = 2;

// mmt_RollOverMenu

//	===============================================
//	   
//	===============================================
STEPLIST_IDLE = 0;
STEPLIST_SHOW = 1;
STEPLIST_HIDE = 2;

//	===============================================
//	   
STEP_INDICATOR_VISIBLE_UNDEFINED = 0;
STEP_INDICATOR_VISIBLE_FALSE = 1;
STEP_INDICATOR_VISIBLE_TRUE = 2;

ON_STEP_RESULT_CHANGED = 0;
ON_STEP_ERRORS_CHANGED = 1;
ON_STEP_HELPS_CHANGED = 2;

//	===============================================
//	   
RESULT_PANEL_VISIBLE_UNDEFINED = 0;
RESULT_PANEL_VISIBLE_FALSE = 1;
RESULT_PANEL_VISIBLE_TRUE = 2;

//	===============================================
// TIMERS
TIMER_DIRECTION_NORMAL = 0;
TIMER_DIRECTION_COUNTDOWN = 1;

//	===============================================
// HINT 
HINT_TYPE_IMAGE = 0;
HINT_TYPE_TEXT = 1;
HINT_TYPE_EXTERNALTEXT = 2;
HINT_TYPE_AUDIO = 3;
HINT_TYPE_VIDEO = 4;

HINT_EVENT_ONROLLOVER = 0;
HINT_EVENT_ONPRESS = 1;

HINT_NO_SHADOW = 0;
HINT_SHADOW_NORMAL = 1;
HINT_SHADOW_IMAGE = 2;

//	===============================================
//      
//	===============================================

//	    
SELECT_RESULT_LAST = 0;		//	-	
SELECT_RESULT_BEST = 1;		//	-	
SELECT_RESULT_AVERAGE = 2;	//	-	

//	===============================================
//	  DRAGGING/CLASSIFICATION
// ( / )
//	===============================================

//	  
DRAGGING_SIMPLE_CHECK	=	0;		//	
DRAGGING_MXK_CHECK	=	1;		//	
DRAGGING_MISTAKE_CHECK	=	2;		//	 

//	  (  -)
DRAGGING_APPERANCE_ALL	=	0;		//	 
DRAGGING_APPERANCE_ONE	=	1;		//	-

DRAGGING_CHECK_IMMEDIATELY = 0;
DRAGGING_CHECK_AFTER = 1;

DRAGGING_RETURN_TO_START = 0;
DRAGGING_MOVE_TO_TRASHBOX = 1;
DRAGGING_REMOVE_FROM_SCREEN = 2;

DRAGOBJECT_STATE_BEFORESTART	= 0;
DRAGOBJECT_STATE_ONSTART		= 1;
DRAGOBJECT_STATE_PLACED			= 2;
DRAGOBJECT_STATE_INTRASHBOX 	= 4;

NOTIFY_ON_PLACED = 0;
NOTIFY_ON_CAPTURED = 1;

STARTPLACE_FILLING_REPLACE = 0;
STARTPLACE_FILLING_AUTOSHIFT = 1;


TARGET_PLACEMENT_UNDEFINED = 0;
TARGET_PLACEMENT_TABLE = 1;
TARGET_PLACEMENT_TABLE_BY_LINE = 10;
TARGET_PLACEMENT_TABLE_BY_COLUMN = 11;
TARGET_PLACEMENT_CUSTOM = 2;

//	===============================================
//				  PUZZLE 
PUZZLE_IMAGE_VERTICAL = 1;
PUZZLE_IMAGE_HORIZONTAL = 2;
PUZZLE_IMAGE_SQUARE = 3;

PUZZLE_MODE_ONE = 0;
PUZZLE_MODE_ALL = 1;

//	===============================================
//				  QUESTION 
QUESTION_STATE_NOTANSWERED = 0;
QUESTION_STATE_ANSWERED = 1;

QUESTION_CHECK_IMMEDIATELY = 0;
QUESTION_CHECK_AFTER = 1;

QUESTION_EXCLUDE = 0;
QUESTION_DISABLE = 1;

//	   autoskip (    -
//	     )
QUESTION_AUTOSKIP_FORWARD	= 0;
QUESTION_AUTOSKIP_BACK		= 1;
QUESTION_AUTOSKIP_RANDOM	= 2;

//	    
//	  - -
QUESTION_SIMPLE_CHECK = 0;
//	  
QUESTION_MXK_CHECK = 1;
//	  
QUESTION_USE_WEIGHTS_CHECK = 2;

//	    
//	  (     )
LAYOUT_NO = 0;
//	 
LAYOUT_VERTICAL = 1;
//	 
LAYOUT_HORIZONTAL = 2;

//	===============================================
//				  RESEARCH 
RESEARCH_VISITED_PRESS = 0;
RESEARCH_VISITED_RELEASE = 1;
RESEARCH_VISITED_ROLLOVER = 2;
RESEARCH_VISITED_ROLLOUT = 3;

ON_STEP_RESULT_CHANGED = 0;
ON_STEP_ERRORS_CHANGED = 1;
ON_STEP_HELPS_CHANGED = 2;
